Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.SnappedPoint Class Reference
Inheritance diagram for FoxitPDFSDKPython2.SnappedPoint:

## Public Member Functions
def | SnappedPoint (other)
| Constructor, with another snapped point object. More...
def | GetPoint ()
| Get the point value. More...
def | GetType ()
| Get the snapped point type. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_TypeEndpoint = _fsdk.SnappedPoint_e_TypeEndpoint
| Snapped point type: endpoint, which means the snapped point is an endpoint of a path.
| e_TypeIntersectionPoint = _fsdk.SnappedPoint_e_TypeIntersectionPoint
| Snapped point type: intersection point, which means the snapped point is the intersection of two intersecting paths.
| e_TypeMidpoint = _fsdk.SnappedPoint_e_TypeMidpoint
| Snapped point type: midpoint, which means the snapped point is the midpoint for two endpoints of a path.
| e_TypeNearestPoint = _fsdk.SnappedPoint_e_TypeNearestPoint
| Snapped point type: nearest point, which means the snapped point is the nearest point (which is in a path) to the specified point.
| e_TypeNone = _fsdk.SnappedPoint_e_TypeNone
| This means the snapped point is invalid.

## Detailed Description

This class represents information of a snapped point, which is snapped with specified snapping flags by class SnapPointMgr .

See also
  SnapPointMgr .

## Constructor & Destructor Documentation

## ◆ SnappedPoint()

def FoxitPDFSDKPython2.SnappedPoint.SnappedPoint | ( |  | other | ) |

Constructor, with another snapped point object.

Parameters

  [in] | other | Another snapped point object.

## Member Function Documentation

## ◆ GetPoint()

def FoxitPDFSDKPython2.SnappedPoint.GetPoint | ( |  | ) |

Get the point value.

Point value represents a point in a path.

Returns
  Snapped point value.

## ◆ GetType()

def FoxitPDFSDKPython2.SnappedPoint.GetType | ( |  | ) |

Get the snapped point type.

Returns
  Snapped point type. Please refer to values starting from FoxitPDFSDKPython2.SnappedPoint.e_TypeNone and this would be one of these values.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.SnappedPoint.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.